Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.net
Class CacheResponse

    java.lang.Object
      java.net.CacheResponse

Direct Known Subclasses:
  SecureCacheResponse

    public abstract class CacheResponse

extends Object

Represent channels for retrieving resources from the ResponseCache. Instances of such a class provide an InputStream that returns the entity body, and also a getHeaders() method which returns the associated response headers.

Since:
  1.5

Constructor Summary
`CacheResponse()`

Method Summary
`abstract InputStream` | `getBody()` Returns the response body as an InputStream.
`abstract Map<String,List<String>>` | `getHeaders()` Returns the response headers as a Map.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheResponse

    public CacheResponse()

Method Detail

### getHeaders

    public abstract Map<String,List<String>> getHeaders()
                                                 throws IOException

  Returns the response headers as a Map.

  Returns:
    An immutable Map from response header field names to lists of field values. The status line has null as its field name.
  Throws:
    `IOException` - if an I/O error occurs while getting the response headers

### getBody

    public abstract InputStream getBody()
                                 throws IOException

  Returns the response body as an InputStream.

  Returns:
    an InputStream from which the response body can be accessed
  Throws:
    `IOException` - if an I/O error occurs while getting the response body

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.